# figureslibres.cc

Figureslibres.cc powered by grav in docker environement (nginx, php:7.0-fpm)

## Install docker
```
sudo pacman -S docker docker-compose docker-machine
```

## Clone this repos

this will clone this repos (main docker environement) and the grav source code

```
git clone --recursive -o figureslibres.io https://figureslibres.io/gogs/bachir/docker-figureslibres.cc-grav.git
```

## Hosts and reverse proxy

add to your /etc/hosts :
```
127.0.0.1	dev.figureslibres.cc
```
configure your vhosts to add a reverse proxy that will redirect the domain dev.figureslibres.com to our container

### nginx
```nginx
server {
  listen 80;
  server_name dev.figureslibres.io;
  location / {
    proxy_pass http://127.0.0.1:8882;
    proxy_set_header Host $host;
    proxy_set_header X-Real-IP $remote_addr;
    proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
    proxy_set_header X-Forwarded-Proto $scheme;
    proxy_buffer_size          128k;
    proxy_buffers              4 256k;
    proxy_busy_buffers_size    256k;
  }
}
```

### Apache
```apache
<Virtualhost *:80>
   ServerName dev.figuresmibres.cc
   ProxyPass / http://127.0.0.1:8882/
   ProxyPassReverse / http://127.0.0.1:8882/
   ProxyRequests Off
</Virtualhost>
```

## Docker

### start daemon
launch the docker daemon
```
sudo systemctl start docker
```
### build
only before the first run (may take some time)
```
sudo docker-compose build
```
### run
then each time you want to launch the app
```
sudo docker-compose up -d
```
### login the php environement to user the grav cli tools
```
sudo docker exec -it grav_figureslibres.cc_php_1 bash
```

### fixing permissions
from the ```grav_figureslibres.cc_php_1``` run the fixeperms.sh script
```
sudo docker exec -it grav_figureslibres.cc_php_1 bash
chmod +x fixperms.sh
./fixeperms.sh
```

## Visualize
You can now visit http://dev.figureslibres.cc or simply http://localhost:8882 on your browser
